OWC API
Response and request schema references are described in API schemas.
GET /stats/owc
Section titled “GET /stats/owc”Owc Stats
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
days |
query | No | {"type": "integer", "maximum": 7, "minimum": 1, "default": 1} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/owc/doc
Section titled “GET /stats/owc/doc”Owc Doc
Returns documentation for the fields in the OWC analysis output.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }}GET /stats/owc/summary
Section titled “GET /stats/owc/summary”Owc Stats Summary
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
days |
query | No | {"type": "integer", "maximum": 7, "minimum": 1, "default": 1} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/owc/top
Section titled “GET /stats/owc/top”Owc Stats Top
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
sort_by |
query | No | {"type": "string", "default": "week_return"} |
|
limit |
query | No | {"type": "integer", "default": 20} |
|
desc |
query | No | {"type": "boolean", "default": true} |
|
days |
query | No | {"type": "integer", "maximum": 7, "minimum": 1, "default": 1} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}